Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [TENEO & SDO] Where is SDO?
[TENEO & SDO] Where is SDO? [message #502832] Wed, 09 December 2009 20:37 Go to next message
Roberto Leibman is currently offline Roberto LeibmanFriend
Messages: 6
Registered: July 2009
Junior Member
I'm trying to bring all of our code into the latest and greatest
libraries. Martin so gracefully pointed to
http://www.elver.org/hibernate/index.html

The option I've chosen is:

1.1.1/1.1.2 Maintenance Builds for Eclipse 3.5/EMF 2.5/hibernate 3.3.2
and jdk 1.5

It's starting to come together. But... I have a problem. Most of our
classes extend EDataObjectImpl, which comes from the SDO project, which
used to be included in EMF, but no longer is (as of EMF 2.5). Where can
I get the latest, compatible, independent SDO jar? Should I be doing
something else instead? of using EDataObjectImpl?

Thanks,

Roberto.
Re: [TENEO & SDO] Where is SDO? [message #502834 is a reply to message #502832] Wed, 09 December 2009 20:44 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30620
Registered: July 2009
Senior Member
Roberto,

Unfortunately for you, SDO was archived a few releases ago. It's best
to use pure EMF APIs instead of the SDO facades. I.e., regenerate
without the GenModel settings that produce SDO code. Perhaps create a
new GenModel for your Ecore model and regenerate with that.


Roberto Leibman wrote:
> I'm trying to bring all of our code into the latest and greatest
> libraries. Martin so gracefully pointed to
> http://www.elver.org/hibernate/index.html
>
> The option I've chosen is:
>
> 1.1.1/1.1.2 Maintenance Builds for Eclipse 3.5/EMF 2.5/hibernate 3.3.2
> and jdk 1.5
>
> It's starting to come together. But... I have a problem. Most of our
> classes extend EDataObjectImpl, which comes from the SDO project, which
> used to be included in EMF, but no longer is (as of EMF 2.5). Where can
> I get the latest, compatible, independent SDO jar? Should I be doing
> something else instead? of using EDataObjectImpl?
>
> Thanks,
>
> Roberto.
>
Previous Topic:Error in closing generated GMF editor
Next Topic:java package of an EPackage
Goto Forum:
  


Current Time: Wed Nov 13 06:53:23 GMT 2019

Powered by FUDForum. Page generated in 0.01896 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top